Ask Your Question
1

no ros-foxy-ros-base for armhf, why?

asked 2021-02-12 07:16:00 -0500

woodz gravatar image

updated 2021-02-12 09:30:47 -0500

On focal, why aren't there any ros-foxy-* packages for armhf architecture, like ros-foxy-ros-base? There are just a few ament_cmake ones. There must be a reson to this, I don't know yet.

Location of packages to look is here as described in the install manual

Appreciate any kind of tip.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2021-02-12 10:17:26 -0500

gvdhoorn gravatar image

updated 2021-02-12 10:21:07 -0500

According to REP 2000: Foxy Fitzroy (May 2020 - May 2023), armhf (or arm32 I believe it's called in that REP), is Tier 3 on all supported OS (Ubuntu, Debian and WebOS).

That means there are no binary packages available, and the S in the table means users are required to build them from source.

There are just a few ament_cmake ones

that's probably because those are Python/CMake packages, which don't require any additional builds to be usable on arm32.

You can also see this on repo.ros2.org/status_page/ros_foxy_ubhf.html: note there are almost no green squares in the Fhf column.

edit flag offensive delete link more

Comments

To add to this, here is a discourse post regarding the tier downgrade for arm32 support.

jacobperron gravatar image jacobperron  ( 2021-02-12 14:11:40 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2021-02-12 07:16:00 -0500

Seen: 670 times

Last updated: Feb 12